//CUP303J2 JOB (SIMOTIME),'VSAM KSDS COMPARE',CLASS=1,MSGCLASS=0,
//             NOTIFY=CSIP1
//* *******************************************************************
//*       CUP303J2.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Compare two VSAM Key-Sequenced-Data-Sets (KSDS).
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This example will do a compare of part of the records in the
//* data set. The actual record length is 512 bytes but the compare
//* will only compare the first 303 positions of a record.
//*
//* Since the files are in sequence by the key-field the program
//* will explicity identify deleted or added records.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Technologies.
//*
//*                     ************
//*                     * CUP303J2 *
//*                     ********jcl*
//*                          *
//*    ************     ************     ************
//*    * CUEXPECT *--*--* CUP303C2 *-----*  SYSLOG  *
//*    *******ksds*  *  ********cbl*     ************
//*                  *       *
//*    ************  *       *
//*    * CUACTUAL *--*       *
//*    *******ksds*  *       *
//*                  *       *
//*    ************  *       *
//*    *  SYSUT3  *--*       *
//*    *******rseq*          *
//*                          *
//*                     ************
//*                     *   EOJ    *
//*                     ************
//*
//* *******************************************************************
//* STEP 1 of 3, Delete the previously created SYSLOG file.
//*
//SYSLOGDT EXEC PGM=IEFBR14
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOGCM,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//* *******************************************************************
//* STEP 2 of 3, Allocate a new SYSLOG file.
//* Note: The LRECL is four (4) bytes bigger than the logical record
//*       that is defined in the program that writes to SYSLOG. This
//*       allows for the four (4) byte Record Descriptor Word (RDW)
//*       that is appended to the front of each record. The program
//*       defines the records as varying in size from 64 to 1,051.
//* Note: It is necessary to pre-allocate the SYSLOG file. The program
//*       that does the actual file compare will do an "OPEN EXTEND".
//*       If the file is not pre-allocated, an open error will be
//*       posted and the program will execute but will only display
//*       truncated information to SYSOUT.
//*
//SYSLOGCT EXEC PGM=IEFBR14
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOGCM,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//* *******************************************************************
//* STEP 3 of 3, Execute the compare program.
//* Note: when a difference occurs the information will be written to
//*       the SYSLOG file
//* *******************************************************************
//* Compare two VSAM KSDS's or Customer Master Files...
//* The positions within the records to be compared are determined by
//* the COMPARE statements in the SYSUT3 file. This is done when the
//* compare program is executed.
//*
//* The results of the compare processing is posted to the SYSLOG File.
//* The results file must exist and new information is appended to the
//* end of the file. For more information about how to create an empty
//* log file (SYSLOG) refer to the SYSLOGJ8.JCL Member.
//*
//CUSTCOMP EXEC PGM=CUP303C2
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//CUACTUAL DD  DSN=SIMOTIME.DATA.CUSTMAST,DISP=SHR
//CUEXPECT DD  DSN=SIMOTIME.DATA.CUS512D2,DISP=SHR
//SYSUT3   DD  DSN=SIMOTIME.PDS.PARMLIB(CUCOMPD2),DISP=SHR
//SYSLOG   DD  DSN=SIMOTIME.DATA.SYSLOGCM,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//
