@echo OFF
rem  * *******************************************************************
rem  *               CUP303W1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Compare two Customer Master Files.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will compare the records in two Customer Files. Since
rem  * a date and time stamp is located in the second half of a record
rem  * only the first 303 bytes of each record are compared.
rem  *
rem  * Since the files are in sequence by the key-field the program
rem  * will explicity identify deleted or added records.
rem  *
rem  *                     ************
rem  *                     * CUP303W1 *
rem  *                     ********cmd*
rem  *                          *
rem  *    ************     ************     ************
rem  *    * CUEXPECT *--*--* CUP303C1 *-----*  SYSLOG  *
rem  *    *******ksds*  *  ********cbl*     ************
rem  *                  *       *
rem  *    ************  *       *
rem  *    * CUACTUAL *--*       *
rem  *    *******ksds*          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Compare two VSAM KSDS's or Customer Master Files...
rem  * The positions within the records to be compared are determined by
rem  * the COMPARE statements in the Process Control File. This is done
rem  * when the compare program is generated.
rem  *
rem  * The results of the compare processing is posted to the SYSLOG File.
rem  * The results file must exist and new information is appended to the
rem  * end of the file. For more information about how to create an empty
rem  * log file refer to the CRTLOGJ1.JCL Member.
rem  *
rem  * *******************************************************************
rem  * Step 1 of 2, Set the environment...
rem  *
     set CmdName=CUP303W1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set syslog=%BaseLib1%\Data\APPL\SIMOTIME.SYSLOG.CUP303W1.DAT
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
     run SYSLOGC8
     set CUACTUAL=%BaseLib1%\Data\APPL\SIMOTIME.DATA.CUSTMAST.DAT
     set CUEXPECT=%BaseLib1%\Data\APPL\SIMOTIME.DATA.CUS512D2.DAT
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2,  Compare two VSAM KSDS's or Customer Master File...
rem  *
     call SimoNOTE "DataTake CUACTUAL=%CUACTUAL%"
     call SimoNOTE "DataTake CUEXPECT=%CUEXPECT%"
     run CUP303C1
     set ERRORLEVELTWO=%ERRORLEVEL%
     if not "%ERRORLEVELTWO%" == "0" set JobStatus=0010
     if "%ERRORLEVELTWO%" == "4" set JobStatus=0004
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "DataMake SYSOUT=%SYSOUT%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "DataMake SYSOUT=%SYSOUT%"
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
rem  * Convert VREC to LSEQ and display using NotePad...
     if not "SIMOGENS" == "BATCH" call SYSLOGW1
     call SimoNOTE "Conclude Data Set Compare Status is  %ERRORLEVELTWO% "
     if not "SIMOGENS" == "BATCH" pause
